> ## Documentation Index
> Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workspace plan details

> Requires one of the following scopes: `workspace_billing:read`, `workspace_billing:all`, `all:read`, `all:all`



## OpenAPI

````yaml https://api.instantly.ai/openapi/api_v2.json get /api/v2/workspace-billing/plan-details
openapi: 3.1.0
info:
  title: API Explorer
  description: >-
    The entire API V2 documentation is interactive and can be tested here. To
    the right side of every endpoint you will see a box with an example request.
    You can click on the "Try it" button to send a request to the server right
    from the docs. You will need to provide an API key by clicking the
    `ApiKeyAuth_token` blue text.
  version: 2.0.0
servers:
  - url: https://api.instantly.ai
    description: Instantly API Server
security:
  - ApiKeyAuth: []
tags:
  - name: Analytics
    description: Endpoints related to analytics
    x-group: Analytics
  - name: OAuth
    description: >-
      OAuth authentication endpoints for connecting Google and Microsoft email
      accounts
    x-group: OAuth
  - name: Account
    description: An email account that can be used to send campaigns
    x-group: Account
  - name: Campaign
    description: A campaign that can be sent to a list of recipients
    x-group: Campaign
  - name: Email
    description: >-
      A campaign email, a reply, a manually sent email, or any other email
      that's visible in the Unibox
    x-group: Email
  - name: EmailVerification
    description: A single email verification
    x-group: Email Verification
  - name: LeadList
    description: A list used to store leads
    x-group: Lead List
  - name: InboxPlacementTest
    description: An inbox placement test
    x-group: Inbox Placement Test
  - name: InboxPlacementAnalytics
    description: Analytics data for individual emails in inbox placement tests
    x-group: Inbox Placement Analytics
  - name: InboxPlacementBlacklistAndSpamAssassinReport
    description: Report data for an inbox placement test
    x-group: Inbox Placement Blacklist And SpamAssassin Report
  - name: APIKey
    description: API Key
    x-group: API Key
  - name: AccountCampaignMapping
    description: Account Campaign Mapping
    x-group: Account Campaign Mapping
  - name: Lead
    description: A lead entity representing an individual lead
    x-group: Lead
  - name: BackgroundJob
    description: A background job that can be used to perform long-running tasks
    x-group: Background Job
  - name: CustomTag
    description: >-
      A custom tag for organizing and categorizing accounts and campaigns. You
      can use them as filters in apis that list accounts and campaigns.
    x-group: Custom Tag
  - name: CustomTagMapping
    description: >-
      This entity represents a tag being assigned to a specific campaign or
      email account. When an email account is assigned a tag, a new custom tag
      mapping entry is created, which connects the tag (`tag_id` field) with the
      email account (`resource_id` field). You can use it to see which tag si
      connected to which resource.
    x-group: Custom Tag Mapping
  - name: BlockListEntry
    description: A blocked email or domain
    x-group: Block List Entry
  - name: LeadLabel
    description: A custom label for categorizing and managing leads
    x-group: Lead Label
  - name: Workspace
    description: A workspace entity representing a workspace
    x-group: Workspace
  - name: SuperSearchEnrichment
    description: >-
      An enrichment can take different forms, such as email enrichment or
      LinkedIn enrichment. Leads may be imported from SuperSearch using the
      dedicated endpoint, or enriched directly within a list or campaign by
      attaching an enrichment to it.
    x-group: SuperSearch Enrichment
  - name: WorkspaceGroupMember
    description: >-
      A member of a workspace group. You can use the endpoints within this
      entity to manage the members of a workspace group.
    x-group: Workspace Group Member
  - name: WorkspaceMember
    description: A member of a workspace with associated user details
    x-group: Workspace Member
  - name: CampaignSubsequence
    description: A subsequence entity representing a follow-up sequence
    x-group: Campaign Subsequence
  - name: AuditLog
    description: Audit log records for tracking system activities
    x-group: Audit Log
  - name: Webhook
    description: A webhook subscription for receiving event notifications
    x-group: Webhook
  - name: WebhookEvent
    description: A webhook event that was sent or attempted to be sent
    x-group: Webhook Event
  - name: DFYEmailAccountOrder
    description: A Done-For-You email account order
    x-group: DFY Email Account Order
  - name: CustomPromptTemplate
    description: Custom prompt templates for creating custom prompts
    x-group: Custom Prompt Template
  - name: SalesFlow
    description: >-
      Manages how sales users view and interact with campaign and lead lists
      within the sales flow.
    x-group: Sales Flow
  - name: EmailTemplate
    description: A campaign email template
    x-group: Email Template
  - name: WorkspaceBilling
    description: Workspace Billing
    x-group: Workspace Billing
  - name: CRMActions
    description: CRM related actions
    x-group: CRM Actions
paths:
  /api/v2/workspace-billing/plan-details:
    get:
      tags:
        - WorkspaceBilling
      summary: Get workspace plan details
      description: >-
        Requires one of the following scopes: `workspace_billing:read`,
        `workspace_billing:all`, `all:read`, `all:all`
      operationId: getWorkspacePlanDetails
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  organization_id:
                    type: string
                    format: uuid
                    description: The id of workspace
                    example: 019f985c-93e6-7a60-893e-347c0737a7a0
                  organization_name:
                    type: string
                    description: The name of workspace
                    example: My Default Workspace
                  subscriptions:
                    type: object
                    properties:
                      outreach:
                        type: object
                        properties:
                          plan_name:
                            type: string
                            description: Plan name
                            example: Free Trial
                          addons_qty:
                            type: number
                            description: Addons total quantity
                            example: 2
                          total_lead_limit:
                            type: number
                            description: Total Outreach plan limit including addons
                            example: 100
                          current_lead_count:
                            type: number
                            description: Current number of leads counted toward the plan
                            example: 10
                          base_lead_limit:
                            type: number
                            description: Base Outreach plan limit without add-ons
                            example: 25000
                          interval:
                            type:
                              - 'null'
                              - string
                            enum:
                              - day
                              - week
                              - month
                              - year
                              - null
                            description: The billing interval of the outreach subscription
                            example: month
                          current_period_end:
                            type:
                              - 'null'
                              - number
                            description: >-
                              Unix timestamp when the current outreach billing
                              period ends
                            example: 1704067200
                          cancel_at_time:
                            type:
                              - 'null'
                              - number
                            description: >-
                              Unix timestamp when the outreach subscription will
                              be canceled, null if not scheduled for
                              cancellation
                            example: 1704067200
                          price_in_dollars:
                            type:
                              - 'null'
                              - number
                            description: The outreach subscription price in dollars
                            example: 97
                          product_id:
                            type:
                              - 'null'
                              - string
                            description: The ID of the outreach plan subscribed to
                            enum:
                              - pid_ls_v1
                              - pid_hg_v1
                              - pid_g_v1
                              - pid_g_v2
                              - pid_nic_v1
                              - pid_nic_v1_annual
                              - pid_gic_v1
                              - pid_gic_v1_annual
                              - pid_sic_v1
                              - pid_sic_v1_annual
                              - pid_hic_v1
                              - pid_hic_v1_annual
                              - pid_verify_v1_monthly
                              - pid_hv_v1
                              - pid_hv_v1_annual
                              - pid_lsv_v1
                              - pid_lsv_v1_annual
                              - pid_crm_hg
                              - pid_crm_g
                              - pid_ip_g
                              - pid_ip_hg
                              - pid_addon_25kl_v1
                              - pid_addon_lf_10k_v1
                              - pid_addon_ic_50k_v1
                              - pid_addon_lf_10k_v1_annual
                              - pid_addon_ic_50k_v1_annual
                              - pid_bundle_starter_v1
                              - pid_bundle_scale_v1
                              - pid_bundle_agency_v1
                              - null
                            x-enumDescriptions:
                              pid_g_v1: Growth Plan
                              pid_g_v2: Growth Plan V2
                              pid_hg_v1: Hypergrowth Plan
                              pid_ls_v1: LightSpeed Plan
                              pid_nic_v1: Instantly Credits Nano
                              pid_nic_v1_annual: Instantly Credits Nano Annual
                              pid_gic_v1: Instantly Credits Growth
                              pid_gic_v1_annual: Instantly Credits Growth Annual
                              pid_sic_v1: Instantly Credits Supersonic
                              pid_sic_v1_annual: Instantly Credits Supersonic Annual
                              pid_hic_v1: Instantly Credits Hyper Leads
                              pid_hic_v1_annual: Instantly Credits Hyper Leads Annual
                              pid_verify_v1_monthly: Verification Monthly
                              pid_hv_v1: Website Visitor Hypergrowth Monthly
                              pid_hv_v1_annual: Website Visitor Hypergrowth Annual
                              pid_lsv_v1: Website Visitor Lightspeed Monthly
                              pid_lsv_v1_annual: Website Visitor Lightspeed Annual
                              pid_crm_hg: CRM
                              pid_crm_g: Growth CRM
                              pid_ip_g: Inbox Placement Growth Monthly
                              pid_ip_hg: Inbox Placement Hypergrowth Monthly
                              pid_addon_25kl_v1: Addon Lead 25K
                              pid_addon_lf_10k_v1: Addon Lead Finder
                              pid_addon_ic_50k_v1: Addon Instantly Credits
                              pid_addon_lf_10k_v1_annual: Addon Lead Finder Annual
                              pid_addon_ic_50k_v1_annual: Addon Instantly Credits Annual
                              pid_bundle_starter_v1: Bundle Starter
                              pid_bundle_scale_v1: Bundle Scale
                              pid_bundle_agency_v1: Bundle Agency
                            example: pid_g_v1
                      credits:
                        type: object
                        properties:
                          plan_name:
                            type: string
                            description: Instantly Credits plan name
                            example: Free Trial
                          total_credits:
                            type: number
                            description: >-
                              Total Instantly Credits included in the current
                              plan
                            example: 100
                          available_credits:
                            type: number
                            description: >-
                              Available Instantly Credits balance for the
                              workspace
                            example: 75
                          interval:
                            type:
                              - 'null'
                              - string
                            enum:
                              - day
                              - week
                              - month
                              - year
                              - null
                            description: >-
                              The billing interval of the Instantly Credits
                              subscription
                            example: month
                          current_period_end:
                            type:
                              - 'null'
                              - number
                            description: >-
                              Unix timestamp when the current Instantly Credits
                              billing period ends
                            example: 1704067200
                          cancel_at_time:
                            type:
                              - 'null'
                              - number
                            description: >-
                              Unix timestamp when the Instantly Credits
                              subscription will be canceled, null if not
                              scheduled for cancellation
                            example: 1704067200
                          price_in_dollars:
                            type:
                              - 'null'
                              - number
                            description: >-
                              The Instantly Credits subscription price in
                              dollars
                            example: 97
                          product_id:
                            type:
                              - 'null'
                              - string
                            description: The ID of the Instantly Credits plan subscribed to
                            enum:
                              - pid_nic_v1
                              - pid_nic_v1_annual
                              - pid_gic_v1
                              - pid_gic_v1_annual
                              - pid_sic_v1
                              - pid_sic_v1_annual
                              - pid_hic_v1
                              - pid_hic_v1_annual
                              - null
                            example: pid_gic_v1
                          price_option_id:
                            type:
                              - 'null'
                              - string
                            description: The selected Instantly Credits price option ID
                            example: growth_2000
                      bundle:
                        type: object
                        properties:
                          plan_name:
                            type:
                              - 'null'
                              - string
                            example: Scale Bundle
                          total_lead_limit:
                            type: number
                            description: Total bundled Outreach contact limit
                            example: 25000
                          current_lead_count:
                            type: number
                            description: >-
                              Current number of contacts counted toward the
                              bundled Outreach limit
                            example: 10
                          base_lead_limit:
                            type: number
                            description: Base bundled Outreach contact limit
                            example: 25000
                          interval:
                            type:
                              - 'null'
                              - string
                            enum:
                              - day
                              - week
                              - month
                              - year
                              - null
                            example: month
                          current_period_end:
                            type:
                              - 'null'
                              - number
                            example: 1704067200
                          cancel_at_time:
                            type:
                              - 'null'
                              - number
                            example: 1704067200
                          price_in_dollars:
                            type:
                              - 'null'
                              - number
                            example: 175
                          product_id:
                            type:
                              - 'null'
                              - string
                            enum:
                              - pid_bundle_starter_v1
                              - pid_bundle_scale_v1
                              - pid_bundle_agency_v1
                              - null
                            example: pid_bundle_scale_v1
                      crm:
                        type: object
                        properties:
                          plan_name:
                            type:
                              - 'null'
                              - string
                            example: Growth CRM
                          interval:
                            type:
                              - 'null'
                              - string
                            enum:
                              - day
                              - week
                              - month
                              - year
                              - null
                            example: month
                          current_period_end:
                            type:
                              - 'null'
                              - number
                            example: 1704067200
                          cancel_at_time:
                            type:
                              - 'null'
                              - number
                            example: 1704067200
                          price_in_dollars:
                            type:
                              - 'null'
                              - number
                            example: 47
                          product_id:
                            type:
                              - 'null'
                              - string
                            example: pid_crm_g
                          available_credits:
                            type:
                              - 'null'
                              - number
                            example: null
                          plan_limit:
                            type:
                              - 'null'
                              - number
                            example: null
                      website_visitors:
                        type: object
                        properties:
                          plan_name:
                            type:
                              - 'null'
                              - string
                            example: Hyper Visitors
                          interval:
                            type:
                              - 'null'
                              - string
                            enum:
                              - day
                              - week
                              - month
                              - year
                              - null
                            example: month
                          current_period_end:
                            type:
                              - 'null'
                              - number
                            example: 1704067200
                          cancel_at_time:
                            type:
                              - 'null'
                              - number
                            example: 1704067200
                          price_in_dollars:
                            type:
                              - 'null'
                              - number
                            example: 97
                          product_id:
                            type:
                              - 'null'
                              - string
                            example: pid_hv_v1
                          available_credits:
                            type:
                              - 'null'
                              - number
                            example: 280
                          plan_limit:
                            type:
                              - 'null'
                              - number
                            example: 500
                      inbox_placement:
                        type: object
                        properties:
                          plan_name:
                            type:
                              - 'null'
                              - string
                            example: Growth Inbox Placement
                          interval:
                            type:
                              - 'null'
                              - string
                            enum:
                              - day
                              - week
                              - month
                              - year
                              - null
                            example: month
                          current_period_end:
                            type:
                              - 'null'
                              - number
                            example: 1704067200
                          cancel_at_time:
                            type:
                              - 'null'
                              - number
                            example: 1704067200
                          price_in_dollars:
                            type:
                              - 'null'
                              - number
                            example: 47
                          product_id:
                            type:
                              - 'null'
                              - string
                            example: pid_ip_g
                          available_credits:
                            type:
                              - 'null'
                              - number
                            example: null
                          plan_limit:
                            type:
                              - 'null'
                              - number
                            example: null
                  addons:
                    type: object
                    properties:
                      outreach:
                        type: object
                        properties:
                          product_id:
                            type: string
                            enum:
                              - pid_addon_25kl_v1
                            description: The product ID for the Outreach add-on.
                            example: pid_addon_25kl_v1
                          unit_lead_limit:
                            type: number
                            description: >-
                              Number of additional contacts included in one
                              add-on unit.
                            example: 25000
                          existing_quantity:
                            type: number
                            description: Current quantity of Outreach add-on units.
                            example: 2
                          max_quantity:
                            type: number
                            description: Maximum additional units selectable in one update.
                            example: 20
                          interval:
                            type:
                              - 'null'
                              - string
                            enum:
                              - day
                              - week
                              - month
                              - year
                              - null
                            description: >-
                              The current billing interval for the Outreach
                              add-on subscription.
                            example: month
                          can_purchase:
                            type: boolean
                            description: >-
                              Whether the workspace can purchase Outreach
                              add-ons.
                            example: true
                          purchase_blocked_reason:
                            type:
                              - 'null'
                              - string
                            description: >-
                              Reason add-on purchase is blocked, null when
                              purchase is allowed.
                            example: advanced_outreach_plan_required
                          annual_discount_percent:
                            type: number
                            description: Annual billing discount percentage.
                            example: 20
                          monthly_pricing_tiers:
                            type: array
                            items:
                              type: object
                              properties:
                                from_quantity:
                                  type: number
                                  example: 1
                                to_quantity:
                                  type:
                                    - 'null'
                                    - number
                                  example: 5
                                price_in_dollars:
                                  type: number
                                  example: 87
                      credits:
                        type: object
                        properties:
                          product_id:
                            type: string
                            enum:
                              - pid_addon_ic_50k_v1
                            description: >-
                              The monthly product ID for the Instantly Credits
                              add-on.
                            example: pid_addon_ic_50k_v1
                          annual_product_id:
                            type: string
                            enum:
                              - pid_addon_ic_50k_v1_annual
                            description: >-
                              The annual product ID for the Instantly Credits
                              add-on.
                            example: pid_addon_ic_50k_v1_annual
                          unit_credits:
                            type: number
                            description: >-
                              Number of additional monthly credits included in
                              one add-on unit.
                            example: 50000
                          annual_unit_credits:
                            type: number
                            description: >-
                              Number of additional annual credits included in
                              one add-on unit.
                            example: 600000
                          existing_quantity:
                            type: number
                            description: >-
                              Current quantity of Instantly Credits add-on
                              units.
                            example: 2
                          max_quantity:
                            type: number
                            description: Maximum additional units selectable in one update.
                            example: 10
                          interval:
                            type:
                              - 'null'
                              - string
                            enum:
                              - day
                              - week
                              - month
                              - year
                              - null
                            description: >-
                              The current billing interval for the Instantly
                              Credits add-on subscription.
                            example: month
                          can_purchase:
                            type: boolean
                            description: >-
                              Whether the workspace can purchase Instantly
                              Credits add-ons.
                            example: true
                          purchase_blocked_reason:
                            type:
                              - 'null'
                              - string
                            description: >-
                              Reason add-on purchase is blocked, null when
                              purchase is allowed.
                            example: hyper_credits_plan_required
                          monthly_price_in_dollars:
                            type: number
                            description: >-
                              Monthly price for one Instantly Credits add-on
                              unit in dollars.
                            example: 425
                          annual_price_in_dollars:
                            type: number
                            description: >-
                              Annual price for one Instantly Credits add-on unit
                              in dollars.
                            example: 5100
        '401':
          description: >-
            This request is unauthorized (either the Authorization header is
            missing or invalid, or the API key has been revoked)
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 401
                    example: 401
                  error:
                    type: string
                    enum:
                      - Unauthorized
                    example: Unauthorized
                  message:
                    type: string
                    example: Missing Authorization header
                required:
                  - statusCode
                  - error
                  - message
        '402':
          description: >-
            This request cannot be fulfilled because the workspace does not have
            an active paid plan
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 402
                    example: 402
                  error:
                    type: string
                    enum:
                      - Payment Required
                    example: Payment Required
                  message:
                    type: string
                    example: Workspace does not have an active paid plan
                required:
                  - statusCode
                  - error
                  - message
        '404':
          description: The requested resource was not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 404
                    example: 404
                  error:
                    type: string
                    enum:
                      - Not Found
                    example: Not Found
                  message:
                    type: string
                    example: Resource not found
                required:
                  - statusCode
                  - error
                  - message
        '429':
          description: >-
            You have exceeded the rate limit. Please check the rate limit docs
            for more information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 429
                    example: 429
                  error:
                    type: string
                    enum:
                      - Too Many Requests
                    example: Too Many Requests
                  message:
                    type: string
                    example: Rate limit exceeded
                required:
                  - statusCode
                  - error
                  - message
components:
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer

````